org.rrd4j.graph

## Enum ElementsNames

- java.lang.Object
- - java.lang.Enum<ElementsNames>
  - - org.rrd4j.graph.ElementsNames

- All Implemented Interfaces:
    Serializable, Comparable<ElementsNames>

      public enum ElementsNames
      extends Enum<ElementsNames>

  The elements of the graph. For use in `RrdGraphDef.setColor(ElementsNames, java.awt.Paint)` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `arrow` The arrow color
    `back` The background color
    `canvas` The canvas color
    `font` The font color
    `frame` The frame color
    `grid` The minor grid color
    `mgrid` The major grid color
    `shadea` The top-left graph shade color
    `shadeb` The bottom-right graph shade color
    `xaxis` The x-axis color
    `yaxis` The y-axis color

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementsNames` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ElementsNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### arrow

          public static final ElementsNames arrow

      The arrow color

    - #### back

          public static final ElementsNames back

      The background color

    - #### canvas

          public static final ElementsNames canvas

      The canvas color

    - #### font

          public static final ElementsNames font

      The font color

    - #### frame

          public static final ElementsNames frame

      The frame color

    - #### grid

          public static final ElementsNames grid

      The minor grid color

    - #### mgrid

          public static final ElementsNames mgrid

      The major grid color

    - #### shadea

          public static final ElementsNames shadea

      The top-left graph shade color

    - #### shadeb

          public static final ElementsNames shadeb

      The bottom-right graph shade color

    - #### xaxis

          public static final ElementsNames xaxis

      The x-axis color

    - #### yaxis

          public static final ElementsNames yaxis

      The y-axis color

  - ### Method Detail

    - #### valueOf

          public static ElementsNames valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ElementsNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElementsNames c : ElementsNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared